Bug 1395564 - Unneeded spaces when copying content from terminal in web console
Summary: Unneeded spaces when copying content from terminal in web console
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 3.4.0
Hardware: Unspecified
OS: Unspecified
high
low
Target Milestone: ---
: 3.7.0
Assignee: Jessica Forrester
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-16 08:52 UTC by Xingxing Xia
Modified: 2017-11-28 21:52 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
In the web console, copying and pasting content from the terminal could result in extra spaces being added to the end of each line. Now when you copy content from the terminal, no extra spaces are added.
Clone Of:
Environment:
Last Closed: 2017-11-28 21:52:23 UTC
Target Upstream Version:


Attachments (Terms of Use)
Spaces_seen_in_vi_with_set_list (54.79 KB, image/png)
2016-11-16 09:06 UTC, Xingxing Xia
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3188 normal SHIPPED_LIVE Moderate: Red Hat OpenShift Container Platform 3.7 security, bug, and enhancement update 2017-11-29 02:34:54 UTC

Description Xingxing Xia 2016-11-16 08:52:53 UTC
Description of problem:
Unneeded spaces when copying content from terminal in web console.
Very inconvenient if user wants to copy the original content.
CLI terminal from oc rsh does not has the issue.

Version-Release number of selected component (if applicable):
openshift v3.4.0.26

How reproducible:
Always

Steps to Reproduce:
1. On web console pod page, in Terminal Tab, execute 'cat /etc/hosts', then copy the output of the `cat` cmd, paste it in 'vi'.
2.
3.

Actual results:
1. In vi, the pasted stuff has unneeded spaces after each line, like:
# Kubernetes-managed hosts file.                                                                                                                                                                    * Here is the end of the unneeded spaces! Same below. *
127.0.0.1       localhost                                                                                                                                              
::1     localhost ip6-localhost ip6-loopback                                                                                                                           
fe00::0 ip6-localnet                                                                                                                                                   
fe00::0 ip6-mcastprefix                                                                                                                                                
fe00::1 ip6-allnodes                                                                                                                                                   
fe00::2 ip6-allrouters                                                                                                                                                 
10.129.0.19     database-1-pcp52

Expected results:
1. Should have no the unneeded spaces, lines.
Additional info:

Comment 1 Xingxing Xia 2016-11-16 09:06:27 UTC
Created attachment 1221065 [details]
Spaces_seen_in_vi_with_set_list

PS: The bugzilla shows 'fe00::0 ip6-localnet', and so on, in 2 lines, because ip6-localnet has too many trailing spaces, thus the browser adjusts it so.

Comment 2 Jessica Forrester 2016-11-16 14:14:21 UTC
I'm fairly certain this is a side effect of how the terminal widget we use works, I'm not sure there is anything we can do to fix this behavior aside from finding a different in-browser terminal to use.

Comment 3 Samuel Padgett 2017-07-24 17:27:09 UTC
This appears to be fixed with xterm.js.

https://github.com/openshift/origin-web-console/pull/1869

Comment 5 Xingxing Xia 2017-10-09 08:48:59 UTC
Verified in v3.7.0-0.143.1 with original steps. Issue is fixed, now no unneeded spaces

Comment 9 errata-xmlrpc 2017-11-28 21:52:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3188


Note You need to log in before you can comment on or make changes to this bug.